Mailing List Archive

[PATCH 19/28] python-r1.eclass: Ban python_gen_usedep in EAPI 8
Signed-off-by: Micha? Górny <mgorny@gentoo.org>
---
eclass/python-r1.eclass | 1 +
1 file changed, 1 insertion(+)

diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 539076b5f748..d464d3ef8f8a 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -358,6 +358,7 @@ python_gen_usedep() {
if [[ ${EBUILD_PHASE} == setup ]]; then
eqawarn "python_gen_usedep() is deprecated. Please use python_gen_cond_dep instead."
fi
+ [[ ${EAPI} == [67] ]] || die "${FUNCNAME} banned in EAPI ${EAPI}"
_python_gen_usedep "${@}"
}

--
2.32.0